/*
 File:       main.cpp
 Version:    1.0 - first version
 Date:       April 7, 2015
 License:	GPL v2

 Serial DAC board

 ****************************************************************************
 Copyright (C) 2015 Radu Motisan  <radu.motisan@gmail.com>

 http://www.pocketmagic.net

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ****************************************************************************
 */
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/wdt.h>
#include <string.h>
#include <stdlib.h>
#include "timeout.h"
#include "led/led.h"
#include "serialdac/serialdac.h"
/************************************************************************************************************************************************/
/* Main entry point                                                    																			*/
/************************************************************************************************************************************************/

serialdac dac;

int main(void) {
	dac.init(&PORTD, PD0, &PORTD, PD1);

	while (1) {
		for (uint8_t i=0;i<255;i++) {
			dac.sendbyte(i);
			_delay_ms(10);
		}

	}
}


